petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscLogStageRegister

Attaches a character string name to a logging stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogStageRegister(const char sname[],PetscLogStage *stage)

Not Collective

### Input Parameter

sname -The name to associate with that stage

### Output Parameter

stage -The stage number

### See Also

PetscLogStagePush(), PetscLogStagePop()

### Level

intermediate

### Location

src/sys/logging/plog.c

### Examples

src/ksp/pc/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex1f.F90.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages